Help: Problem with samba 2.0.5 and HP-UX 10.20

Help: Problem with samba 2.0.5 and HP-UX 10.20

Post by John Neum?g » Tue, 14 Sep 1999 04:00:00



I compiled the sources with the gnu CC 2.8.1 and can start the daemons
without receiving any error messages.
When I run smbstatus I get the following messages:

ERROR: root did not create the semaphore
ERROR: Failed to initialise share modes
can't initialise shared memory -exiting

I am no UNIX wiz so I don't have the foggiest idea as to what this means. I
read in a message from the mailing list
archive that I should use ipcs to look for anything fishy.  I don't really
know what to look for and everything seems
to look okay to me.

Anybody got any ideas as to what could cause this.

I have samba 1.9.18p10 running on the same machine and want to upgrade.  I
got this version as a precompiled binaries.  I also got the samba 2.0.5 as
binaries and had exactly the same problem (that's why I went and got the gcc
compiler)

All pointers would be much appreciated
Thanks
--John

 
 
 

1. Problem compiling Samba 2.0.3 under HP-UX 10.20

Hello all,

I'm having trouble getting Samba 2.0.3 to compile (link actually) under
HP-UX 10.20 with gcc 2.8.1.  I'm getting the following when it tries to
link smbd:

Linking bin/smbd
collect2: ld returned 1 exit status
/usr/ccs/bin/ld: Unsatisfied symbols:
   __builtin_va_start (code)
*** Error exit code 1

I'm using the standard makefile generated by a plain old "./configure".
Anybody know what library "__builtin_va_start" is in?  

I've actually successfully built Samba 2.0.3 on this OS using the HP C
compiler, but we're having some odd problems, so I thought I'd try
compiling with gcc and see if there was a difference.

Anyway, any input would be appreciated.

Thanks,

Kevin

+------------------------------------------------------------+
| Kevin Sage                | Voice:  (408) 749-4794         |
| CAD Systems Engineer, NVD | Pager:  (408) 388-5768         |
| Advanced Micro Devices    | Fax:    (408) 749-3718         |

+------------------------------------------------------------+

2. Error 10054

3. Problem: SAMBA 1.9 on HP-UX 10.20

4. Incorrect Linker

5. Problems with configure script when compiling Samba 2.05 on HP-UX 10.20

6. Handling Memory Fault

7. Problems with locks on HP-UX 10.20 with Samba 2.2.3a

8. DSP56K as FPU?

9. Help On New Installation (HP-UX 10.20)

10. Samba 2.05 HP-UX 10.20 PDC-accounts are locked out

11. Samba on HP-UX 10.20 / NT hang and crash

12. Samba Binaries for HP-UX 10.20

13. Samba on HP-UX 10.20